#
# spec file for package perl-Parse-Win32Registry
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Parse-Win32Registry
Version:        1.1
Release:        bp155.2.9
%define cpan_name Parse-Win32Registry
Summary:        Parse Windows Registry Files
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/J/JM/JMACFARLA/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
Parse::Win32Registry is a module for parsing Windows Registry files,
allowing you to read the keys and values of a registry file without going
through the Windows API.

It provides an object-oriented interface to the keys and values in a
registry file. Registry files are structured as trees of keys, with each
key containing further subkeys or values.

The module is intended to be cross-platform, and run on those platforms
where Perl will run.

It supports both Windows NT registry files (Windows NT, 2000, XP, 2003,
Vista, 7) and Windows 95 registry files (Windows 95, 98, Millennium
Edition).

It is intended to be used to parse offline registry files. If a registry
file is currently in use, you will not be able to open it. However, you can
save part or all of a currently loaded registry file using the Windows reg
command if you have the appropriate administrative access.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Wed Sep 30 2020 Tina Müller <tina.mueller@suse.com>
- Remove fix-time-local.patch (not needed anymore)
* Sun Sep 27 2020 Tina Müller <timueller+perl@suse.de>
- updated to 1.1
  see /usr/share/doc/packages/perl-Parse-Win32Registry/Changes
  * * 1.1 2020-09-19
  Added fix for errors decoding registry timestamps. (This was due to the
  interpretation of dates in timegm changing in recent versions of Perl.)
  Thanks to B.M.W. and Slaven Rezic for their help with this.
  Updated as_regedit_export to handle undefined REG_SZ values.
* Tue Jun 11 2019 Bernhard Wiedemann <bwiedemann@suse.com>
- Add fix-time-local.patch to make it work after 2019
* Wed Sep 26 2012 Greg.Freemyer@gmail.com
- ran spec-cleaner
- update to v1.0
  Added support for decoding System Mandatory Label ACEs (a feature
  introduced with Windows Vista) and added the command line script
  regml.pl for listing keys with explicit System Mandatory Label ACEs
  set. Improved handling of security descriptors.
  Tidied up various aspects of the wxWidgets and GTK applications, and
  harmonised functionality between the various pairs of equivalent
  programs, with a minor difference being the wxWidgets applications
  following Windows keyboard shortcut conventions while the GTK
  applications following Linux keyboard shortcut conventions.
  The get_data method of Value objects now returns the unpacked integer
  value for REG_DWORD_BIG_ENDIAN value types instead of the original
  packed binary data.
  Added support for values with 'big data'. Thanks to Harlan Carvey for
  all his help with this.
* Fri Nov 18 2011 coolo@suse.com
- remove _service
* Mon Feb 21 2011 Greg.Freemyer@gmail.com
- initial package 0.60
  * created by cpanspec 1.78.03
